@using SportsClub.Areas.Dashboard.Models
@model CatalogCreateEditViewModel

@{
    Layout = null;
}

<style>
    .rating-custom .filled {
        color: #21568b;
    }

    .rating-custom li {
        display: inline-block;
        padding: 3px;
        color: #cbc6c6;
    }
</style>

<div class="view-container ">
    <!--Title bar-->
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title">
            <h1>
                View Catalog Item
            </h1>
        </div>
        <div class="clearfix"></div>
    </div>
    <!--content-->
    <div class="grid fluid">
        <div class="row">
            <div class="span12 catalog">

                <!--Catalog item-->
                <section class="panel panel-green share-catalog">
                    <div class="panel-header panel-header-lg">
                        {{@Html.Ang(m => m.Name)}}
                    </div>
                    <div class="panel-content">

                        <div class="dis-row without-image-title">
                            <div class="dis-cell">
                                @*<img class="image-cell" src="https://jblobprod2.blob.core.windows.net/clubs/em-adf/CatalogItems/7ec65439-afa7-455a-a460-73630e2a558b.jpg">*@
                                <img style="padding: 0 10px 15px 0px; max-width: 300px;" src="{{catalogImage}}" ng-src="{{catalogImage}}" ng-model="@Html.Ang(m => m.Image)" />
                            </div>
                            <div class="dis-cell">
                                <p style="white-space: pre-line" ng-bind-html="Model.Description | unsafe"></p>
                            </div>
                        </div>

                        <div class="table-content categories">
                            <h4 class="title" data-fontsize="14" data-lineheight="14">Categories</h4>
                            <span>{{Model.StrCategoriesNames}}</span>
                        </div>
                        @*<div class="table-content categories">
                            <h4 class="title" data-fontsize="14" data-lineheight="14">Rating</h4>
                            <div ng-model="Model.Rating" ng-init="Model.Rating = Model.Rating +1 "></div>
                            <div star-rating ng-model="Model.Rating" data-max="5" readonly="true"></div>
                        </div>*@
                        <div class="table-content">
                            <h4 class="title" data-fontsize="14" data-lineheight="14">Price options</h4>
                            <div class="class-info-table dis-table price-options">
                                <div class="dis-row">
                                    <span class="dis-cell cell-title">Class Time</span>
                                    <span class="dis-cell cell-title">Session Length</span>
                                    <span class="dis-cell cell-title">Price</span>
                                </div>
                                <div class="dis-row" ng-repeat="option in Model.PriceOptionForView">
                                    <span class="dis-cell cell-title">{{option.Title}}</span>

                                    <span class="dis-cell">
                                        <ul class="weeks" ng-repeat="price in option.Prices">
                                            <li>{{price.SessionLength}}</li>
                                        </ul>
                                    </span>
                                    <span class="dis-cell">
                                        <ul class="prices" ng-repeat="price in option.Prices">
                                            <li>${{price.Amount}}</li>
                                        </ul>
                                    </span>

                                </div>
                            </div>
                        </div>
                            <div class="table-content">
                                <h4 class="title" data-fontsize="14" data-lineheight="14">Enrollment information</h4>
                                <div class="class-info-table dis-table">
                                    <div class="dis-row">
                                        <span class="dis-cell cell-title">Grade restriction</span>
                                        <span class="dis-cell">{{Model.MinGrade}} to {{Model.MaxGrade}}</span>
                                    </div>
                                    <div class="dis-row">
                                        <span class="dis-cell cell-title">Recommended grade groupings</span>
                                        <span class="dis-cell"><span>{{Model.StrRecomendedGradeGroups}}</span></span>
                                    </div>
                                    <div class="dis-row">
                                        <span class="dis-cell cell-title">Minimum and maximum enrollment</span>
                                        <span class="dis-cell">Minimum: {{Model.MinimumEnrollment}}/Maximum: {{Model.MaximumEnrollment}}</span>
                                    </div>
                                    <div class="dis-row">
                                        <span class="dis-cell cell-title">Instructor to student ratio</span>
                                        <span class="dis-cell" ng-if="Model.StudentRatio>'0'">1: {{Model.StudentRatio}}</span>
                                    </div>
                                    <div class="dis-row">
                                        <span class="dis-cell cell-title">Gender</span>
                                        <span class="dis-cell">{{Model.Gender}}</span>
                                    </div><div class="dis-row">
                                        <span class="dis-cell cell-title">Materials Needed</span>
                                        <span class="dis-cell" style="white-space: pre-line" ng-bind-html="Model.MaterialsNeeded | unsafe"></span>
                                    </div>
                                </div>
                            </div>

                            <div class="table-content">
                                <h4 class="title" data-fontsize="14" data-lineheight="14">Space requirements</h4>
                                <div class="class-info-table dis-table">
                                    <div class="dis-row">
                                        <span class="dis-cell cell-title">Indoor</span>
                                        <span class="dis-cell"><span>{{Model.StrSpaceRequirementsIndoor}}</span></span>
                                    </div><div class="dis-row">
                                        <span class="dis-cell cell-title">Outdoor</span>
                                        <span class="dis-cell"><span>{{Model.StrSpaceRequirementsOutdoor}}</span></span>
                                    </div><div class="dis-row">
                                        <span class="dis-cell cell-title">Additional Comments</span>
                                        <span class="dis-cell" style="white-space: pre-line" ng-bind-html="Model.Detail | unsafe"></span>
                                    </div>
                                </div>
                            </div>

                        </div>
                </section>

            </div>
        </div>
    </div>


    <div class="clearfix"></div>
</div>
